package com.simuwang.manage.service;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.FundNavAssetPageQuery;
import com.simuwang.base.pojo.vo.FundAssetVO;
import com.simuwang.base.pojo.vo.FundNavAssetDelListVO;
import com.simuwang.base.pojo.vo.FundNavAssetVO;
import com.simuwang.base.pojo.vo.FundNavVO;
import com.smppw.common.pojo.ResultVo;
import org.springframework.web.multipart.MultipartFile;

/**
 * FileName: FundNavAssetService
 * Author:   chenjianhua
 * Date:     2024/9/15 16:57
 * Description: ${DESCRIPTION}
 */
public interface FundNavAssetService {
    MybatisPage<FundNavAssetVO> searchNavAssetList(FundNavAssetPageQuery fundNavAssetPageQuery);

    void saveFundAsset(FundAssetVO fundAssetVO);

    void saveFundNav(FundNavVO fundNavVO);

    void deleteFundNavAsset(FundNavAssetDelListVO fundNavAssetDelListVO);

    ResultVo uploadNavAsset(MultipartFile file);
}
